{$APPTYPE CONSOLE}
uses
  SysUtils;
var
  i, n : longint;
  m, a, s : extended;

Begin
  reset(input, 'airplane.in');
  rewrite(output, 'airplane.out');
  read(s, n, a);
  if (a = 1000) then begin
    writeln('Impossible');
    close(input);
    close(output);
    halt(0);
  end;
  for i := 1 to n do begin
    read(m);
    s := s + m;
  end;
  a := a / 1000;
  s := s * a / (1 - a);
  writeln(s:0:9);
  close(input);
  close(output);
End.
